Bug 180119 - Replace PasswordManager with Keyring API
Replace PasswordManager with Keyring API
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: D-Light
6.x
PC Linux
: P3 (vote)
: 6.x
Assigned To: Alexander Simon
dlight-issues@cnd
:
Depends on: 173413
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-01 14:53 UTC by Jesse Glick
Modified: 2010-02-03 21:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2010-02-01 14:53:42 UTC
I just noticed org.netbeans.modules.nativeexecution.api.util.PasswordManager via Encrypter (due to warnings during compilation about sun.misc.BASE64Decoder). While I'm not sure exactly what this is for, it looks like it is storing passwords in the user directory. If so, please use the new Keyring API for such purposes.
Comment 1 Alexander Simon 2010-02-02 08:27:44 UTC
fixed, change set:
http://hg.netbeans.org/cnd-main/rev/d7a652fa2caa
Comment 2 Jesse Glick 2010-02-02 15:02:26 UTC
BTW you may wish to read and convert passwords saved in the old system, for a smoother transition for users importing their old settings.
Comment 3 Quality Engineering 2010-02-03 21:55:11 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/d7a652fa2caa
User: Alexander Simon <alexvsimon@netbeans.org>
Log: fixed BZ#180119 Replace PasswordManager with Keyring API


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo